﻿@import "Common.css";

.b2b_Main {
    width: 100%;
    border: 0;
    padding: 0;
    margin: 0;
}

.b2b_Main_Top {
    background-position: bottom;
    background-repeat: no-repeat;
    border: 1px solid #99bbe8;
    height: 70px;
    background-color: #ffffff;
    color: #666666;
    margin: 5px;
    border-radius: 3px;
}

.Common_TitleLanguage {
    float: right;
    padding-right: 3px;
    padding-top: 5px;
    text-align: right;
}

    .Common_TitleLanguage select {
        font-size: 12px;
        color: #EEEEEE;
        background-color: #999999;
        border: 1px solid #CCCCCC;
    }

    .Common_TitleLanguage a {
        color: #666666;
        text-decoration: none;
    }

        .Common_TitleLanguage a:hover {
            color: Red;
            text-decoration: underline;
        }

.Common_HeaderMenu {
    border: 1px solid #CCCCCC;
    width: 100%;
}

    .Common_HeaderMenu th {
        border: 1px solid #CCCCCC;
        cursor: pointer;
        height: 25px;
        vertical-align: middle;
    }

        .Common_HeaderMenu th:hover {
            color: Red;
            border: 1px solid #00FFFF;
        }
/*----------------  左邊的Menu ----------------*/

.b2b_Main_Left {
    position: absolute;
    width: 240px;
    border: 1px solid #99bbe8;
    margin-left: 5px;
    background-color: #ffffff;
    border-radius: 3px;
}

.b2b_Main_Right {
    margin-left: 252px;
    margin-right: 5px;
    background-color: #ffffff;
    border: 1px solid #99bbe8;
    /*width:100% -240px;*/
    overflow: auto;
    height: 368px;
    border-radius: 3px;
}


/* ======================================== Header 用的 */
.b2b_Header_DivTop_Left {
    float: left;
    width: 300px;
}

.b2b_Header_DivTop_Right {
    float: right;
}

/*  ======================================= Left memu bar =================   */

.LeftMenubar {
    list-style-type: none;
    padding-left: 0;
    margin-top: 1.5em;
}

    .LeftMenubar li {
        /*border:1px solid #CCCCCC;*/
    }

        .LeftMenubar li ul {
            list-style-type: none;
            padding-left: 0;
        }

            .LeftMenubar li ul li {
                /*border:1px solid #333333;
    margin:0 0 0.5em -1em;*/
            }

.LeftMenuHeaderUL {
    margin-top: 2px;
}

.LeftMenuHeaderButton {
    cursor: pointer;
    border-top: 2px solid #ffffff;
    border-bottom: 1px solid #99bbe8;
    padding: 8px;
    background-color: #dfe8f6;
    font-weight: bold;
}

.LeftMenuButton {
    cursor: pointer;
    border-bottom: 1px solid #CCCCCC;
    margin-bottom: 1px;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 1.5em;
    background-color: #f0f0f1;
}

.LeftMenuButtonSelected {
    font-size: 1em;
    color: Red;
    font-weight: bold;
    background-color: #f9d8d8;
}

.LeftMenubarTable {
    border-spacing: 8px;
    width: 100%;
}

    .LeftMenubarTable th {
    }

    .LeftMenubarTable td {
        color: #333333;
        font-family: 微軟正黑體;
        font-size: 1em;
        height: 35px;
        text-align: left;
        padding-left: 10px;
        background-color: #EFEFEF;
        border-top: 1px solid #DDDDDD;
        border-left: 1px solid #DDDDDD;
        border-right: 2px groove #999999;
        border-bottom: 2px groove #999999;
        cursor: pointer;
    }

        .LeftMenubarTable td:hover {
            color: #000000;
            font-family: 微軟正黑體;
            font-size: 1.25em;
            font-weight: bold;
            height: 35px;
            text-align: left;
            padding-left: 10px;
            background-color: #EFEFEF;
            border-top: 1px solid #DDDDDD;
            border-left: 1px solid #DDDDDD;
            border-right: 2px groove #000000;
            border-bottom: 2px groove #000000;
            cursor: pointer;
        }

.LeftMenuTableVisable {
    color: #CCCCCC;
}

.b2bQueryTable {
    width: 100%;
    border: 0px solid #CCCCCC;
    margin-left: auto;
    margin-right: auto;
    border-spacing: 2px;
}

    .b2bQueryTable thead th {
        background-color: #336699;
        color: #CCCCCC;
        font-family: 微軟正黑體, 新細明體, Arial;
        border: 1px solid #333333;
        height: 25px;
        line-height: 25px;
        font-size: 14px;
        vertical-align: middle;
        font-weight: normal;
    }

    .b2bQueryTable tbody td {
        border: 1px solid #CCCCCC;
        padding: 2px;
        line-height: 1.5em;
    }

/* ======================================== ProductApplication 用的 */
.b2b_ProductApp_tab {
}

.b2b_ProductApp_tabs {
    display: inline-block;
}

.b2b_ProductApp_tagRight {
    float: right;
}

.b2b_ProductApp_tagLeft {
    float: left;
    padding: 5px;
}

.b2b_ProductApp_mt {
    margin: 0;
    padding: 0;
    display: inline-block;
    height: 45px;
    line-height: 45px;
    width: 60px;
    text-align: center;
    cursor: pointer;
    border: 0px solid #FF0000;
}

.PA_mt_b1 {
    background: url(/images/mt_b1.jpg) no-repeat;
}

.PA_mt_b2 {
    background: url(/images/mt_b2.jpg) no-repeat;
}

.PA_mt_b3 {
    background: url(/images/mt_b3.jpg) no-repeat;
}

.PA_mt_b4 {
    background: url(/images/mt_b4.jpg) no-repeat;
}

.b2b_ProductShowSpecResultTable {
    border: 1px solid #CCCCCC;
    /*width:500px;*/
}

.b2b_ProductShowSpecResultTableUmall {
    border: 1px solid #3799FF;
}

.b2b_ProductShowSpecResultTable thead th {
    border: 1px solid #CCCCCC;
    color: #333333;
    font-size: 15px;
}

.b2b_ProductShowSpecResultTable tbody td {
    border: 1px solid #CCCCCC;
    text-align: left;
    padding-left: 6px;
    color: #666666;
}

.pPrice {
    width: 100px;
}

.ppPrice {
    width: 25px;
}

.b2b_DivConfirmPriceH {
    padding-top: 10px;
}

.b2b_DivConfirmPrice {
    font-size: 12px;
    color: #999999;
    padding-top: 10px;
}

    .b2b_DivConfirmPrice input {
        color: Red;
        font-weight: bold;
        border: 0;
        border-bottom: 1px solid #333333;
        text-align: center;
    }

.b2b_DivConfirmPrice1 {
    font-size: 12px;
    color: #333333;
    font-weight: bold;
}

.Div_ProdStep_Area {
    border: 1px solid #CCCCCC;
    margin: 10px;
}

.Div_ProdStep_Table .td1 {
    font-size: 25px;
    width: 50px;
    line-height: 45px;
    vertical-align: top;
    border: 1px solid #CCCCCC;
    background-color: #EFEFEF;
    text-align: center;
    padding-top: 10px;
}

.Div_ProdStep_Table .td2 {
    width: 120px;
    vertical-align: top;
    padding-top: 10px;
    padding-left: 10px;
}

.Div_ProdStep_Table .td3 {
    width: 20px;
}

.Div_ProdStep_Table .td4 {
    width: 20px;
}

.Div_ProdStep_Table .td5 {
}



.ProductDescAttention_no_icon, .ProductDescAttention {
    vertical-align: baseline;
    background-color: #FFF6B8;
    border: 1px solid #FFB547;
    color: #666666;
    width: 100%;
}

.ProductDescAttention_no_icon {
    line-height: 20px;
    padding: 3px;
    margin-bottom: 8px;
}

.ProductDescAttention {
    background-image: url(/Resource/images/icons/warning.jpg);
    background-repeat: no-repeat;
    padding-left: 35px;
    min-height: 32px;
}


.b2b_AuthStep {
    border: 1px solid #99bbe8;
    margin: 2px;
    padding: 0;
}

    .b2b_AuthStep h3 {
    }


/* ======================================== swf upload 的 progress 用的 */
.swf_image_No {
    border: 1px solid #CCCCCC;
    text-align: center;
    vertical-align: middle;
    font-size: 20px;
    font-weight: bold;
    margin: 0;
    color: #666666;
}

.swf_image_btn {
    border: 0px solid #CCCCCC;
    text-align: left;
    padding-left: 12px;
    vertical-align: middle;
}

    .swf_image_btn input {
        font-size: 12px;
    }

.swf_image_place {
    border: 1px solid #CCCCCC;
    background-color: #EFEFEF;
    height: 125px;
    width: 130px;
    text-align: center;
    vertical-align: middle;
}

div.fieldset {
    border: 1px solid #afe14c;
    margin: 10px 0;
    padding: 20px 10px;
}

    div.fieldset span.legend {
        position: relative;
        background-color: #FFF;
        padding: 3px;
        top: -30px;
        font: 700 14px Arial, Helvetica, sans-serif;
        color: #73b304;
    }

div.flash {
    width: 375px;
    margin: 10px 5px;
    border-color: #D9E4FF;
    -moz-border-radius-topleft: 5px;
    -webkit-border-top-left-radius: 5px;
    -moz-border-radius-topright: 5px;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-bottomleft: 5px;
    -webkit-border-bottom-left-radius: 5px;
    -moz-border-radius-bottomright: 5px;
    -webkit-border-bottom-right-radius: 5px;
}


.progressWrapper {
    width: 357px;
    overflow: hidden;
}

.progressContainer {
    margin: 5px;
    padding: 4px;
    border: solid 1px #E8E8E8;
    background-color: #F7F7F7;
    overflow: hidden;
}

.progressName {
    font-size: 8pt;
    font-weight: 700;
    color: #555;
    width: 323px;
    height: 14px;
    text-align: left;
    white-space: nowrap;
    overflow: hidden;
}

.progressBarInProgress,
.progressBarComplete,
.progressBarError {
    font-size: 0;
    width: 0%;
    height: 2px;
    background-color: blue;
    margin-top: 2px;
}

.progressBarComplete {
    width: 100%;
    background-color: green;
    visibility: hidden;
}

.progressBarError {
    width: 100%;
    background-color: red;
    visibility: hidden;
}

.progressBarStatus {
    margin-top: 2px;
    width: 337px;
    font-size: 7pt;
    font-family: Arial;
    text-align: left;
    white-space: nowrap;
}

a.progressCancel {
    font-size: 0;
    display: block;
    height: 14px;
    width: 14px;
    background-image: url(../images/cancelbutton.gif);
    background-repeat: no-repeat;
    background-position: -14px 0px;
    float: right;
}

    a.progressCancel:hover {
        background-position: 0px 0px;
    }

.b2b_txt_DateTime {
    width: 80px;
}

/*=======================================================================商品搜尋頁面 =========================================*/
.B2BSearchConditionLeft {
    float: left;
    border: 0px solid #CCCCCC;
    width: 500px;
}

.B2BSearchConditionRight {
    float: left;
    padding-top: 15px; /*需要視搜尋的高度調整*/
    border: 0px solid #CCCCCC;
    text-align: center;
    padding-left: 180px;
}

.Div_ProdQuery_Table {
    width: 100%;
}

    .Div_ProdQuery_Table .td1 {
        font-size: 20px;
        width: 50px;
        line-height: 45px;
        vertical-align: top;
        border: 1px solid #CCCCCC;
        background-color: #EFEFEF;
        text-align: center;
        padding-top: 10px;
    }

    .Div_ProdQuery_Table .td2 {
        width: 5px;
        border-left: 1px solid #CCCCCC;
        padding-right: 1px;
    }

    .Div_ProdQuery_Table .td3 {
    }

/*--------暫存的, 以後可以刪除*/

.WaitToHandle table {
}

    .WaitToHandle table th {
        background-color: Red;
    }

.WaitToHandle table {
}






/* Master Page     Footer 區塊*/

.Common_Footer {
    height: 70px;
    margin: 80px auto 0px auto;
    padding: 0;
    min-width: 780px;
    max-width: 1260px;
}

.Common_FooterLeft {
    color: #818181;
    font-size: 10px;
    line-height: 12px;
    padding: 10px;
    margin: 10px;
    text-align: center;
    border-top: 1px solid #dbdbdb;
    border-bottom: 1px solid #dbdbdb;
    background: url(/Content/images/icon_idlogo.jpg) no-repeat 0 12px;
}

/* Master Page     Menu 區塊*/
.Common_Menu {
    padding: 3px;
    position: relative;
    z-index: 2;
}
